FAQ avertissementsConsultez toutes les FAQ

Nombre d'auteurs : 1, nombre de questions : 68, dernière mise à jour : 16 juillet 2014  Ajouter une question

 

Tandis que les messages d'erreur arrêtent LaTeX et attendent une réponse de l'utilisateur, les messages d'avertissement sont juste affichés sur le terminal et dans le fichier de trace, et le traitement se poursuit. S'il le peut, LaTeX montre également le numéro de la ligne du source qui a déclenché l'avertissement. Les avertissements du noyau LaTeX sont précédés d'un « LaTeX Warning: » ou d'un « LaTeX Font Warning: ». Autrement, les avertissements indiquent l'extension ou la classe dont ils sont issus avec « Package <nom> Warning: » ou « Class <nom> Warning: ». Les avertissements de TeX, comme « Overfull... », ne sont pas précédés d'une chaîne standard.
Outre les avertissements, LaTeX écrit des messages d'information dans le fichier de trace sans les afficher à l'écran.

Les erreurs et les informations listées ici sont issues de l'annexe B du livre LaTeX Companion. Vous trouverez de nombreux renvois à des pages du livre dans cette FAQ.


SommaireY (4)
précédent sommaire
 

Ce message s'affiche lorsque le même <attribut> est utilisé plusieurs fois dans le deuxième argument d'une commande \languageattribute. Seule la première occurrence déclenchera l'activation de l'<attribut>.

Mis à jour le 16 juillet 2014 -Nikopol-

On a demandé le chargement de <nom> par \usepackage ou \RequirePackage (dans le cas d'une extension), ou par \documentclass ou \LoadClass (dans le cas d'une classe), mais l'extension ou la classe indique un <autre-nom> que celui demandé. S'il ne s'agit pas d'une erreur de frappe du concepteur de l'extension ou de la classe, cela indique que l'installation comporte une variante de l'extension ou de la classe, qui se comporte sans doute différemment de l'originale. Par conséquent, le document pourra être composé d'une manière différente lorsqu'il sera traité sur une autre installation.Même si le comportement est correct, il s'agit d'un point qui nécessite d'être éclairci en examinant l'extension ou la classe en question.
Spécifier un nom de chemin relatif ou absolu a pour effet de bord de déclencher cet avertissement.

Mis à jour le 16 juillet 2014 -Nikopol-

Une commande \NeedsTeXFormat a demandé une version LaTeX qui date d'au moins <date>, mais la date du format LaTeX présent est <ancienne-date>. Habituellement, une telle demande est faite pour s'assurer que certaines fonctionnalités du format LaTeX sont bien disponibles. Il est donc probable que le document produira des erreurs ultérieures ou un résultat bizarre. Il convient de mettre à jour le format LaTeX de la distribution.

Mis à jour le 16 juillet 2014 -Nikopol-

On a demandé une classe ou une extension dont la date est au moins <date>, mais la version sur l'installation date de <ancienne-date>. Il convient de mettre à jour la classe ou l'extension en question

Mis à jour le 16 juillet 2014 -Nikopol-

Proposer une nouvelle réponse sur la FAQ

Ce n'est pas l'endroit pour poser des questions, allez plutôt sur le forum de la rubrique pour ça


Réponse à la question

Liens sous la question
précédent sommaire
 

Les sources présentées sur cette page sont libres de droits et vous pouvez les utiliser à votre convenance. Par contre, la page de présentation constitue une œuvre intellectuelle protégée par les droits d'auteur. Copyright © 2020 Developpez Developpez LLC. Tous droits réservés Developpez LLC. Aucune reproduction, même partielle, ne peut être faite de ce site et de l'ensemble de son contenu : textes, documents et images sans l'autorisation expresse de Developpez LLC. Sinon vous encourez selon la loi jusqu'à trois ans de prison et jusqu'à 300 000 € de dommages et intérêts.